Loading...
Searching...
No Matches
gridfire::approx8::Approx8Network Class Referencefinal

Class for the Approx8 nuclear reaction network. More...

`#include <engine_approx8.h>`

Inheritance diagram for gridfire::approx8::Approx8Network:
[legend]
Collaboration diagram for gridfire::approx8::Approx8Network:
[legend]

## Public Member Functions

| Approx8Network ()
NetOut | evaluate (const NetIn &netIn) override
| Evaluates the nuclear network.
void | setStiff (bool stiff) override
| Sets whether the solver should use a stiff method.
bool | isStiff () const override
| Checks if the solver is using a stiff method.
Public Member Functions inherited from gridfire::Network
| Network (const NetworkFormat format=NetworkFormat::APPROX8)
virtual | ~Network ()=default
NetworkFormat | getFormat () const
NetworkFormat | setFormat (const NetworkFormat format)

## Static Private Member Functions

static vector_type | convert_netIn (const NetIn &netIn)
| Converts the input parameters to the internal state vector.

## Private Attributes

vector_type | m_y
double | m_tMax = 0
double | m_dt0 = 0
bool | m_stiff = false

## Additional Inherited Members

Protected Attributes inherited from gridfire::Network
fourdst::config::Config & | m_config
| Configuration instance.
fourdst::logging::LogManager & | m_logManager
| Log manager instance.
quill::Logger * | m_logger
| Logger instance.
NetworkFormat | m_format
| Format of the network.
fourdst::constant::Constants & | m_constants
bool | m_stiff = false
| Flag indicating if the network is stiff.

## Detailed Description

Class for the Approx8 nuclear reaction network.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## Constructor & Destructor Documentation

## Approx8Network()

gridfire::approx8::Approx8Network::Approx8Network | ( |  | ) |

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## Member Function Documentation

## convert_netIn()

vector_type gridfire::approx8::Approx8Network::convert_netIn | ( | const NetIn & | netIn | ) |

staticprivate

Converts the input parameters to the internal state vector.

Parameters

  netIn | Input parameters for the network.

Returns
  Internal state vector.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## evaluate()

NetOut gridfire::approx8::Approx8Network::evaluate | ( | const NetIn & | netIn | ) |

overridevirtual

Evaluates the nuclear network.

Parameters

  netIn | Input parameters for the network.

Returns
  Output results from the network.

Implements gridfire::Network.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## isStiff()

bool gridfire::approx8::Approx8Network::isStiff | ( |  | ) | const

inlineoverridevirtual

Checks if the solver is using a stiff method.

Returns
  Boolean indicating if a stiff method is being used.

Reimplemented from gridfire::Network.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## setStiff()

void gridfire::approx8::Approx8Network::setStiff | ( | bool | stiff | ) |

overridevirtual

Sets whether the solver should use a stiff method.

Parameters

  stiff | Boolean indicating if a stiff method should be used.

Reimplemented from gridfire::Network.

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## Member Data Documentation

## m_dt0

double gridfire::approx8::Approx8Network::m_dt0 = 0

private

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## m_stiff

bool gridfire::approx8::Approx8Network::m_stiff = false

private

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## m_tMax

double gridfire::approx8::Approx8Network::m_tMax = 0

private

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

## m_y

vector_type gridfire::approx8::Approx8Network::m_y

private

Examples
  /Users/tboudreaux/Programming/4DSTAR/GridFire/src/include/gridfire/engine/engine_approx8.h.

The documentation for this class was generated from the following files:

- src/include/gridfire/engine/engine_approx8.h
- src/lib/engine/engine_approx8.cpp